const system = require("../../../system");
const Dao = require("../../dao.base");
class RoleauthDao extends Dao {
  constructor() {
    super(Dao.getModelName(RoleauthDao));
  }

  async delByRoleId(role_id, t) {
    var sql = "DELETE FROM uc_role_auth WHERE role_id = :role_id";
    await this.customUpdate(sql, {
      role_id: role_id
    }, t) || [];
  }
}
module.exports = RoleauthDao;